package com.artfess.cqxy.statistics.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.base.query.QueryFilter;
import com.artfess.cqxy.projectManagement.model.ProjectManagement;
import com.artfess.cqxy.statistics.vo.BasicInformationVo;
import com.artfess.cqxy.statistics.vo.ProjectCostVo;
import com.artfess.cqxy.statistics.vo.ProjectProgressVo;
import com.artfess.cqxy.statistics.vo.StartCountVo;

/**
 * @Description:
 * @Author: Rong Tao
 * @Date: 2022/7/27 13:32
 */
public interface NewStatisticsManager extends BaseManager<ProjectManagement> {
    BasicInformationVo getBasicInformation(QueryFilter<ProjectManagement> queryFilter);
    ProjectProgressVo getProjectProgress(QueryFilter<ProjectManagement> queryFilter);
    StartCountVo getStartCount(QueryFilter<ProjectManagement> queryFilter);
    StartCountVo getAcceptanceCount(QueryFilter<ProjectManagement> queryFilter);
    ProjectCostVo getProjectCost(QueryFilter<ProjectManagement> queryFilter);
}
